

drivers/acpi/sleep/proc.c:359: warning: initialization from incompatible pointer type
drivers/acpi/sleep/proc.c:367: warning: initialization from incompatible pointer type



---

 25-x86_64-akpm/drivers/acpi/sleep/proc.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/acpi/sleep/proc.c~acpi-sleep-warning-fix drivers/acpi/sleep/proc.c
--- 25-x86_64/drivers/acpi/sleep/proc.c~acpi-sleep-warning-fix	Wed Feb 18 15:06:02 2004
+++ 25-x86_64-akpm/drivers/acpi/sleep/proc.c	Wed Feb 18 15:06:56 2004
@@ -44,10 +44,10 @@ static int acpi_system_sleep_open_fs(str
 	return single_open(file, acpi_system_sleep_seq_show, PDE(inode)->data);
 }
 
-static int
+static ssize_t
 acpi_system_write_sleep (
 	struct file		*file,
-	const char		*buffer,
+	const char __user	*buffer,
 	size_t			count,
 	loff_t			*ppos)
 {
@@ -189,10 +189,10 @@ get_date_field (
 }
 
 
-static int
+static ssize_t
 acpi_system_write_alarm (
 	struct file		*file,
-	const char		*buffer,
+	const char __user	*buffer,
 	size_t			count,
 	loff_t			*ppos)
 {

_
